%define major	8
%define api	3.0
%define libname	%mklibname %{name}-x11_ %{api} %{major}
%define devname	%mklibname %{name}-x11 -d

Name:		gtkextra
Summary:	A library of gtk+ widgets
Version:	3.3.4
Release:	%mkrel 6
License:	LGPLv2
Group:		System/Libraries
URL:		https://sourceforge.net/projects/gtkextra
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:		gtkextra-missing-include.patch

BuildRequires:	pkgconfig(gtk+-x11-2.0)

%description
GtkExtra is a useful set of widgets for creating GUI's for the Xwindows system
using GTK+. You can use it complementary to GTK+ and it is written in C.
The library includes: GtkSheet, GtkPlot, GtkIconList, GtkDirTree GtkFileList,
GtkIconFileSelection. GtkItemEntry, GtkFontCombo, GtkComboBox, GtkColorCombo,
GtkBorderCombo and GtkCheckItem.

%package -n %{libname}
Summary:	A library of gtk+ widgets
Group:		System/Libraries

%description -n %{libname}
The gtk+extra package includes the libraries.

%package -n %{devname}
Summary:	Development files for gtkextra
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The gtk+extra-devel package includes the static libraries, header files,
and documentation for compiling programs that use gtk+extra widgets.

%prep
%autosetup -p1

%build
%configure \
  --disable-static
# This is ignored and html is installed to %%{name}-3 so we move it
#  --htmldir=%%{buildroot}%%{_datadir}/gtk-doc/html/%%{name}/

%make_build

%install
%make_install

mv %{buildroot}%{_datadir}/gtk-doc/html/gtkextra-3 \
%{buildroot}%{_datadir}/gtk-doc/html/gtkextra

find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}-x11-%{api}.so.%{major}{,.*}

%files -n %{devname}
%doc README docs/*.ChangeLog
%{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-x11-%{api}.so
%{_includedir}/%{name}-%{api}/


%changelog
* Wed Sep 25 2024 daviddavid <daviddavid> 3.3.4-6.mga10
+ Revision: 2101135
- add patch to fix missing include

* Sat Mar 26 2022 umeabot <umeabot> 3.3.4-5.mga9
+ Revision: 1828386
- Mageia 9 Mass Rebuild

* Sun Nov 29 2020 wally <wally> 3.3.4-4.mga8
+ Revision: 1650199
- revive gtkextra

* Thu Feb 13 2020 umeabot <umeabot> 3.3.4-3.mga8
+ Revision: 1512811
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.3.4-2.mga7
+ Revision: 1298109
- Mageia 7 Mass Rebuild

* Wed Dec 06 2017 barjac <barjac> 3.3.4-1.mga7
+ Revision: 1181584
- new version 3.3.4

* Wed Mar 22 2017 barjac <barjac> 3.3.3-1.mga6
+ Revision: 1094241
- new version 3.3.3

* Mon Sep 05 2016 barjac <barjac> 3.3.0-1.mga6
+ Revision: 1050118
- new version 3.3.0
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 09 2015 barjac <barjac> 3.2.0-1.mga6
+ Revision: 909235
- new version 3.2.0

* Sun Sep 27 2015 barjac <barjac> 3.1.5-1.mga6
+ Revision: 884048
- new version 3.1.5
- html files are now installed incorrectly so have to be moved in %%install

* Wed Oct 15 2014 umeabot <umeabot> 3.1.1-3.mga5
+ Revision: 746263
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.1-2.mga5
+ Revision: 680013
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 barjac <barjac> 3.1.1-1.mga5
+ Revision: 643015
- new version 3.1.1

* Thu Mar 06 2014 barjac <barjac> 3.1.0-1.mga5
+ Revision: 600522
- new version 3.1.0
- new major

* Sat Oct 19 2013 umeabot <umeabot> 3.0.5-3.mga4
+ Revision: 532093
- Mageia 4 Mass Rebuild

* Fri Aug 16 2013 barjac <barjac> 3.0.5-2.mga4
+ Revision: 466910
- fix files ownership
- use find -delete option

* Fri Aug 16 2013 barjac <barjac> 3.0.5-1.mga4
+ Revision: 466835
- imported package gtkextra

